<ion-header>

  <ion-navbar color="primary">
    <ion-title>{{user.id ? user.name : 'New User'}}</ion-title>
    <ion-buttons end>
        <button ion-button icon-only (click)="save()"><ion-icon name="md-checkmark"></ion-icon></button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content>  
  <div [formGroup]="form">
    <ion-item>
        <ion-label>Username</ion-label>
        <p class="item-note" *ngIf="user.id" item-end>{{user.username}}</p>
        <ion-input type="text" formControlName="username" *ngIf="!user.id" text-right></ion-input>
      </ion-item>
      <ion-item>
          <ion-label>Password</ion-label>
          <p class="item-note" *ngIf="user.id" item-end>{{user.password}}</p>
          <ion-input *ngIf="!user.id" type="text" formControlName="password" placeholder="Atleast 6 characters" text-right></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Name</ion-label>
          <ion-input type="text" formControlName="name" text-right></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Type</ion-label>
          <ion-select formControlName="user_type">
            <ion-option value="admin">Administrator</ion-option>
            <ion-option value="admin_staff">Admin Staff</ion-option>
            <ion-option value="sales_agent">Sales Agent</ion-option>
            <ion-option value="deliverer">Deliverer</ion-option>
            <ion-option value="collector">Collector</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label>Active</ion-label>
          <ion-toggle formControlName="active"></ion-toggle>
        </ion-item>
    </div>  
</ion-content>
